Package org.w3c.tidy

# Class OutFactory

java.lang.Object
org.w3c.tidy.OutFactory

public final class OutFactory extends Object
Tidy Output factory.

Version:
  $Revision: 807 $ ($Author: fgiust $)
Author:
  Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`static Out`
`getOut(Configuration config, OutputStream stream)`
Returns the appropriate Out implementation.
`static Out`
`getOut(Configuration config, Writer writer)`
Returns the appropriate Out implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getOut

public static Out getOut(Configuration config, OutputStream stream)
Returns the appropriate Out implementation.

Parameters:
  `config` - configuration instance
  `stream` - output stream
Returns:
  out instance

### getOut

public static Out getOut(Configuration config, Writer writer)
Returns the appropriate Out implementation.

Parameters:
  `config` - configuration instance
  `writer` - Writer
Returns:
  out instance